Subject: Re: [bitcoin-dev] Fwd: Block size following technological growth

From: Adam Back <[email-masked]>
Date: Fri, 7 Aug 2015 23:53:43 +0100

On 7 August 2015 at 22:35, Thomas Zander via bitcoin-dev
<[email-masked]> wrote:
> the need an individual has for running a node is a completely different concept than the
> need for nodes to exist.  And, really, you are describing miners, not nodes.

It's not as simple as trusting miners, Bitcoin security needs some
reasonable portion of economic interest to be validating their receipt
of coins against a full node they run.

I do it myself because I dont want to lose money, as do many power
users.  Most bitcoin ecosystem companies do it.  You dont have to run
it all the time, just sync it when you want to check your own coin
receipt with higher assurance.

> As we concluded in our previous email, the need to run a node is inversely
> proportional to the ability (or willingness) to trust others.

Even if you are willing to trust others, trusting miners or random
full nodes would be unsafe if not for the reasonable portion of
economic interest validating their own received coins.  That holds
miners honest, otherwise they could more easily present fake
information to SPV users.

> And lets face it, practically everyone trusts others with their money today.

Bitcoin's very reason for existence is to avoid that need.  For people
fully happy to trust others with their money, Bitcoin may not be as
interesting to them.

>> If the impact of the system goes u[p], so should the - joint - incentives to
>> keep it secure. And I think we're (slowly) failing at that.
>
> That is your opinion.

What Pieter said is an accurate summary and non-controversial.

Adam